Name:		oswatcher
Version:	8.3.0
Release:        1%{?dist}
Summary:	OSWatcher - monitor operating system statistics

License:	GPLv2+
Source0:	oswatcher-%{version}.tar.gz
Source1:	COPYING
Source2:	oswatcher.rc
Source3:	oswatcher.cfg
Source4:	oswatcher.logrotate
Patch0:		linux-friendly.patch
Patch1:		no-heartbeat.patch
BuildArch:	noarch
Requires(post):	chkconfig
Requires(preun): chkconfig
Requires(postun): initscripts
# ps, vmstat, top
Requires: procps
# iostat
Requires: sysstat
# ifconfig
Requires: net-tools
# note that xentop is optional and will be installed on machines where
# it is useful anyway

%description
OSWatcher (oswbb) is a collection of UNIX shell scripts intended to
collect and archive operating system and network metrics to aid
support in diagnosing performance issues. OSWatcher operates as a set
of background processes on the server and gathers OS data on a regular
basis, invoking such Unix utilities as vmstat, netstat and iostat.

%prep
%setup -q
%patch0 -p1 -E
%patch1 -p1 -E
cp %{SOURCE1} .

%build
sed -i \
    -e 's|@@libexec@@|%{_libexecdir}/oswatcher|g' \
    OSWatcher.sh

%install
rm -rf $RPM_BUILD_ROOT
files="arpsub.sh genprvnet.sh ifconfigsub.sh
       iosub.sh ltop.sh mpsub.sh nfssub.sh oswib.sh oswnet.sh oswrds.sh
       oswsub.sh piddsub.sh pidsub.sh psmemsub.sh sarsub.sh topaix.sh
       vmsub.sh xensub.sh xtop.sh"
install -m 0755 -d $RPM_BUILD_ROOT%{_libexecdir}/oswatcher
for f in $files; do
    install -m 0755 $f $RPM_BUILD_ROOT%{_libexecdir}/oswatcher/${f%.sh}
done

mkdir -p $RPM_BUILD_ROOT{%{_sbindir},%{_initddir},%{_sysconfdir}/{sysconfig,logrotate.d}}
install -m 0755 OSWatcher.sh $RPM_BUILD_ROOT%{_sbindir}/OSWatcher
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{_initddir}/oswatcher
install -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/oswatcher
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/oswatcher

%post
/sbin/chkconfig --add oswatcher

%preun
if [ "$1" -eq 0 ]; then
   /sbin/service oswatcher stop > /dev/null 2>&1
   /sbin/chkconfig --del oswatcher
fi

%postun
if [ "$1" -ge 1 ]; then
   /sbin/service oswatcher condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc docs/OSWatcher/* Example_extras.txt Exampleprivate.net call_du.sh call_sar.sh call_uptime.sh COPYING
%{_sbindir}/*
%dir %{_libexecdir}/oswatcher
%{_libexecdir}/*
%ghost %config(noreplace,missingok) %attr(755,root,root) %{_libexecdir}/oswatcher/private.net
%{_initddir}/oswatcher
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sysconfig/oswatcher
%{_sysconfdir}/logrotate.d/oswatcher


%changelog
* Tue Jul 16 2019 Carl Davis <carl.davis@oracle.com> - 8.3.0-1
- nfsiostat replaces nfsiostat-sysstat
- add arp collection for RAC only

* Mon May 13 2019 Carl Davis <carl.davis@oracle.com> - 8.2.0
- nfsiostat-sysstat replaces iostat -n (Linux only)
- pidstat added (Linux only)
- pidstat -d added (active process i/o) (Linux only)
- ip and ss replaces netstat(Linux only)
- ip -s -s addr replaces ifconfig -a (Linux only)
- corrected physical cpu config (Linux only)
- add xentop (Linux only)

* Thu Mar 07 2019 Gayatri Vasudevan <gayatri.vasudevan@oracle.com> - 7.3.3-5.el7
- Revert changes that use ip instead of ifconfig [Orabug: 29456699]

* Wed Feb 20 2019 Gayatri Vasudevan <gayatri.vasudevan@oracle.com> - 7.3.3-3.el7
- oswatcher: build/release 7.3.3-3 on OL7 [Orabug: 29362547]

* Wed Dec 13 2017 Herbert van den Bergh <herbert.van.den.bergh@oracle.com>
- Replace inefficient ifconfig and netstat commands with ip commands. [Orabug: 27264234]

* Mon Dec 12 2017 Carl Davis <carl.davis@oracle.com> - 8.1.2
- fix bug with high SSH connections

* Tue May 16 2017 Carl Davis <carl.davis@oracle.com> - 8.1.0
- fix bug with auto traceroute config for RAC

* Fri Apr 21 2017 Carl Davis <carl.davis@oracle.com> - 8.0.0
- Add OSWatcherFM.sh

* Wed Jan 13 2016 John Haxby <john.haxby@oracle.com>
- Refactor option parsing to make it work with recent initscripts. [Orabug: 22526481]

* Wed Dec 23 2015 John Haxby <john.haxby@oracle.com> - 7.3.3-1.el7
- Initial OL7 version

* Fri Jul 24 2015 john.haxby@oracle.com
- Initial release
